summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2019-02-01 00:15:47 -0800
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2019-02-01 01:07:05 -0800
commit98a5a71b1cb2ac442d5dc06d02da4b41f8aa3164 (patch)
tree9ad18853b87e5f82ad0fea033755ea43da3cce89 /virtual/jdk
parentdev-java/openjdk: add openjdk:8 (diff)
downloadgentoo-98a5a71b1cb2ac442d5dc06d02da4b41f8aa3164.tar.gz
gentoo-98a5a71b1cb2ac442d5dc06d02da4b41f8aa3164.tar.bz2
gentoo-98a5a71b1cb2ac442d5dc06d02da4b41f8aa3164.zip
virtual/jdk: add openjdk{,-bin} to virtual
Closes: https://bugs.gentoo.org/672058 Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Diffstat (limited to 'virtual/jdk')
-rw-r--r--virtual/jdk/jdk-1.8.0-r4.ebuild16
1 files changed, 16 insertions, 0 deletions
diff --git a/virtual/jdk/jdk-1.8.0-r4.ebuild b/virtual/jdk/jdk-1.8.0-r4.ebuild
new file mode 100644
index 00000000000..589862862cb
--- /dev/null
+++ b/virtual/jdk/jdk-1.8.0-r4.ebuild
@@ -0,0 +1,16 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+DESCRIPTION="Virtual for Java Development Kit (JDK)"
+SLOT="1.8"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc64-solaris ~x64-solaris"
+
+RDEPEND="|| (
+ dev-java/icedtea-bin:8
+ dev-java/icedtea:8
+ dev-java/openjdk-bin:8[gentoo-vm(+)]
+ dev-java/openjdk:8[gentoo-vm(+)]
+ dev-java/oracle-jdk-bin:1.8
+ )"